import {
  a as l,
  c as F
} from "./chunk-IO47FP3U.js";

// ../node_modules/picoquery/lib/string-util.js
var X = F((L) => {
  "use strict";
  Object.defineProperty(L, "__esModule", { value: !0 });
  L.encodeString = ce;
  var h = Array.from({ length: 256 }, (e, t) => "%" + ((t < 16 ? "0" : "") + t.toString(16)).toUpperCase()), oe = new Int8Array([
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    1,
    0,
    0,
    0,
    0,
    0,
    1,
    1,
    1,
    1,
    0,
    0,
    1,
    1,
    0,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    0,
    0,
    0,
    0,
    1,
    0,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    0,
    0,
    0,
    1,
    0
  ]);
  function ce(e) {
    let t = e.length;
    if (t === 0)
      return "";
    let i = "", a = 0, n = 0;
    e: for (; n < t; n++) {
      let r = e.charCodeAt(n);
      for (; r < 128; ) {
        if (oe[r] !== 1 && (a < n && (i += e.slice(a, n)), a = n + 1, i += h[r]), ++n === t)
          break e;
        r = e.charCodeAt(n);
      }
      if (a < n && (i += e.slice(a, n)), r < 2048) {
        a = n + 1, i += h[192 | r >> 6] + h[128 | r & 63];
        continue;
      }
      if (r < 55296 || r >= 57344) {
        a = n + 1, i += h[224 | r >> 12] + h[128 | r >> 6 & 63] + h[128 | r & 63];
        continue;
      }
      if (++n, n >= t)
        throw new Error("URI malformed");
      let _ = e.charCodeAt(n) & 1023;
      a = n + 1, r = 65536 + ((r & 1023) << 10 | _), i += h[240 | r >> 18] + h[128 | r >> 12 & 63] + h[128 | r >> 6 & 63] + h[128 | r & 63];
    }
    return a === 0 ? e : a < t ? i + e.slice(a) : i;
  }
  l(ce, "encodeString");
});

// ../node_modules/picoquery/lib/shared.js
var B = F((S) => {
  "use strict";
  Object.defineProperty(S, "__esModule", { value: !0 });
  S.defaultOptions = S.defaultShouldSerializeObject = S.defaultValueSerializer = void 0;
  var G = X(), de = /* @__PURE__ */ l((e) => {
    switch (typeof e) {
      case "string":
        return (0, G.encodeString)(e);
      case "bigint":
      case "boolean":
        return "" + e;
      case "number":
        if (Number.isFinite(e))
          return e < 1e21 ? "" + e : (0, G.encodeString)("" + e);
        break;
    }
    return e instanceof Date ? (0, G.encodeString)(e.toISOString()) : "";
  }, "defaultValueSerializer");
  S.defaultValueSerializer = de;
  var pe = /* @__PURE__ */ l((e) => e instanceof Date, "defaultShouldSerializeObject");
  S.defaultShouldSerializeObject = pe;
  var $ = /* @__PURE__ */ l((e) => e, "identityFunc");
  S.defaultOptions = {
    nesting: !0,
    nestingSyntax: "dot",
    arrayRepeat: !1,
    arrayRepeatSyntax: "repeat",
    delimiter: 38,
    valueDeserializer: $,
    valueSerializer: S.defaultValueSerializer,
    keyDeserializer: $,
    shouldSerializeObject: S.defaultShouldSerializeObject
  };
});

// ../node_modules/picoquery/lib/object-util.js
var Q = F((K) => {
  "use strict";
  Object.defineProperty(K, "__esModule", { value: !0 });
  K.getDeepObject = be;
  K.stringifyObject = ee;
  var R = B(), ye = X();
  function ge(e) {
    return e === "__proto__" || e === "constructor" || e === "prototype";
  }
  l(ge, "isPrototypeKey");
  function be(e, t, i, a, n) {
    if (ge(t))
      return e;
    let r = e[t];
    return typeof r == "object" && r !== null ? r : !a && (n || typeof i == "number" || typeof i == "string" && i * 0 === 0 && i.indexOf(".") === -1) ? e[t] = [] : e[t] = {};
  }
  l(be, "getDeepObject");
  var _e = 20, xe = "[]", Oe = "[", he = "]", Se = ".";
  function ee(e, t, i = 0, a, n) {
    let { nestingSyntax: r = R.defaultOptions.nestingSyntax, arrayRepeat: _ = R.defaultOptions.arrayRepeat, arrayRepeatSyntax: g = R.defaultOptions.arrayRepeatSyntax, nesting: P = R.defaultOptions.nesting, delimiter: C = R.defaultOptions.delimiter, valueSerializer: y = R.defaultOptions.valueSerializer, shouldSerializeObject: j = R.defaultOptions.shouldSerializeObject } = t, E = typeof C == "number" ? String.fromCharCode(C) : C, x = n === !0 && _, O = r === "dot" || r === "js" && !n;
    if (i > _e)
      return "";
    let f = "", p = !0, o = !1;
    for (let c in e) {
      let s = e[c], u;
      a ? (u = a, x ? g === "bracket" && (u += xe) : O ? (u += Se, u += c) : (u += Oe, u += c, u += he)) : u = c, p || (f += E), typeof s == "object" && s !== null && !j(s) ? (o = s.pop !== void 0, (P || _ && o) && (f += ee(s, t, i + 1, u, o))) : (f += (0, ye.encodeString)(u), f += "=", f += y(s, c)), p && (p = !1);
    }
    return f;
  }
  l(ee, "stringifyObject");
});

// ../node_modules/fast-decode-uri-component/index.js
var ne = F((Ke, ie) => {
  "use strict";
  var te = 12, je = 0, W = [
    // The first part of the table maps bytes to character to a transition.
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    4,
    4,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    5,
    6,
    7,
    7,
    7,
    7,
    7,
    7,
    7,
    7,
    7,
    7,
    7,
    7,
    8,
    7,
    7,
    10,
    9,
    9,
    9,
    11,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    // The second part of the table maps a state to a new state when adding a
    // transition.
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    12,
    0,
    0,
    0,
    0,
    24,
    36,
    48,
    60,
    72,
    84,
    96,
    0,
    12,
    12,
    12,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    24,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    24,
    24,
    24,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    24,
    24,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    48,
    48,
    48,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    48,
    48,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    48,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    // The third part maps the current transition to a mask that needs to apply
    // to the byte.
    127,
    63,
    63,
    63,
    0,
    31,
    15,
    15,
    15,
    7,
    7,
    7
  ];
  function De(e) {
    var t = e.indexOf("%");
    if (t === -1) return e;
    for (var i = e.length, a = "", n = 0, r = 0, _ = t, g = te; t > -1 && t < i; ) {
      var P = re(e[t + 1], 4), C = re(e[t + 2], 0), y = P | C, j = W[y];
      if (g = W[256 + g + j], r = r << 6 | y & W[364 + j], g === te)
        a += e.slice(n, _), a += r <= 65535 ? String.fromCharCode(r) : String.fromCharCode(
          55232 + (r >> 10),
          56320 + (r & 1023)
        ), r = 0, n = t + 3, t = _ = e.indexOf("%", n);
      else {
        if (g === je)
          return null;
        if (t += 3, t < i && e.charCodeAt(t) === 37) continue;
        return null;
      }
    }
    return a + e.slice(n);
  }
  l(De, "decodeURIComponent");
  var ve = {
    0: 0,
    1: 1,
    2: 2,
    3: 3,
    4: 4,
    5: 5,
    6: 6,
    7: 7,
    8: 8,
    9: 9,
    a: 10,
    A: 10,
    b: 11,
    B: 11,
    c: 12,
    C: 12,
    d: 13,
    D: 13,
    e: 14,
    E: 14,
    f: 15,
    F: 15
  };
  function re(e, t) {
    var i = ve[e];
    return i === void 0 ? 255 : i << t;
  }
  l(re, "hexCodeToInt");
  ie.exports = De;
});

// ../node_modules/picoquery/lib/parse.js
var fe = F((z) => {
  "use strict";
  var me = z && z.__importDefault || function(e) {
    return e && e.__esModule ? e : { default: e };
  };
  Object.defineProperty(z, "__esModule", { value: !0 });
  z.numberValueDeserializer = z.numberKeyDeserializer = void 0;
  z.parse = Pe;
  var U = Q(), A = B(), ae = me(ne()), ze = /* @__PURE__ */ l((e) => {
    let t = Number(e);
    return Number.isNaN(t) ? e : t;
  }, "numberKeyDeserializer");
  z.numberKeyDeserializer = ze;
  var Ce = /* @__PURE__ */ l((e) => {
    let t = Number(e);
    return Number.isNaN(t) ? e : t;
  }, "numberValueDeserializer");
  z.numberValueDeserializer = Ce;
  var se = /\+/g, le = /* @__PURE__ */ l(function() {
  }, "Empty");
  le.prototype = /* @__PURE__ */ Object.create(null);
  function H(e, t, i, a, n) {
    let r = e.substring(t, i);
    return a && (r = r.replace(se, " ")), n && (r = (0, ae.default)(r) || r), r;
  }
  l(H, "computeKeySlice");
  function Pe(e, t) {
    let { valueDeserializer: i = A.defaultOptions.valueDeserializer, keyDeserializer: a = A.defaultOptions.keyDeserializer, arrayRepeatSyntax: n = A.defaultOptions.arrayRepeatSyntax, nesting: r = A.defaultOptions.nesting, arrayRepeat: _ = A.defaultOptions.arrayRepeat, nestingSyntax: g = A.defaultOptions.nestingSyntax, delimiter: P = A.defaultOptions.delimiter } = t ?? {}, C = typeof P == "string" ? P.charCodeAt(0) : P, y = g === "js", j = new le();
    if (typeof e != "string")
      return j;
    let E = e.length, x = "", O = -1, f = -1, p = -1, o = j, c, s = "", u = "", D = !1, M = !1, v = !1, J = !1, I = !1, N = !1, T = !1, m = 0, q = -1, w = -1, Z = -1;
    for (let d = 0; d < E + 1; d++) {
      if (m = d !== E ? e.charCodeAt(d) : C, m === C) {
        if (T = f > O, T || (f = d), p !== f - 1 && (u = H(e, p + 1, q > -1 ? q : f, v, D), s = a(u), c !== void 0 && (o = (0, U.getDeepObject)(o, c, s, y && I, y && N))), T || s !== "") {
          T && (x = e.slice(f + 1, d), J && (x = x.replace(se, " ")), M && (x = (0, ae.default)(x) || x));
          let V = i(x, s);
          if (_) {
            let k = o[s];
            k === void 0 ? q > -1 ? o[s] = [V] : o[s] = V : k.pop ? k.push(V) : o[s] = [k, V];
          } else
            o[s] = V;
        }
        x = "", O = d, f = d, D = !1, M = !1, v = !1, J = !1, I = !1, N = !1, q = -1, p = d, o = j, c = void 0, s = "";
      } else m === 93 ? (_ && n === "bracket" && Z === 91 && (q = w), r && (g === "index" || y) && f <= O && (p !== w && (u = H(e, p + 1, d, v, D), s = a(u), c !== void 0 && (o = (0, U.getDeepObject)(o, c, s, void 0, y)), c = s, v = !1, D = !1), p = d, N = !0, I = !1)) : m === 46 ? r && (g === "dot" || y) && f <= O && (p !== w && (u = H(e, p + 1, d, v, D), s = a(u), c !== void 0 && (o = (0, U.getDeepObject)(o, c, s, y)), c = s, v = !1, D = !1), I = !0, N = !1, p = d) : m === 91 ? r && (g === "index" || y) && f <= O && (p !== w && (u = H(e, p + 1, d, v, D), s = a(u), y && c !== void 0 && (o = (0, U.getDeepObject)(o, c, s, y)), c = s, v = !1, D = !1, I = !1, N = !0), p = d) : m === 61 ? f <= O ? f = d : M = !0 : m === 43 ? f > O ? J = !0 : v = !0 : m === 37 && (f > O ? M = !0 : D = !0);
      w = d, Z = m;
    }
    return j;
  }
  l(Pe, "parse");
});

// ../node_modules/picoquery/lib/stringify.js
var ue = F((Y) => {
  "use strict";
  Object.defineProperty(Y, "__esModule", { value: !0 });
  Y.stringify = Re;
  var Fe = Q();
  function Re(e, t) {
    if (e === null || typeof e != "object")
      return "";
    let i = t ?? {};
    return (0, Fe.stringifyObject)(e, i);
  }
  l(Re, "stringify");
});

// ../node_modules/picoquery/lib/main.js
var we = F((b) => {
  "use strict";
  var Ae = b && b.__createBinding || (Object.create ? function(e, t, i, a) {
    a === void 0 && (a = i);
    var n = Object.getOwnPropertyDescriptor(t, i);
    (!n || ("get" in n ? !t.__esModule : n.writable || n.configurable)) && (n = { enumerable: !0, get: /* @__PURE__ */ l(function() {
      return t[i];
    }, "get") }), Object.defineProperty(e, a, n);
  } : function(e, t, i, a) {
    a === void 0 && (a = i), e[a] = t[i];
  }), Ie = b && b.__exportStar || function(e, t) {
    for (var i in e) i !== "default" && !Object.prototype.hasOwnProperty.call(t, i) && Ae(t, e, i);
  };
  Object.defineProperty(b, "__esModule", { value: !0 });
  b.stringify = b.parse = void 0;
  var Ne = fe();
  Object.defineProperty(b, "parse", { enumerable: !0, get: /* @__PURE__ */ l(function() {
    return Ne.parse;
  }, "get") });
  var qe = ue();
  Object.defineProperty(b, "stringify", { enumerable: !0, get: /* @__PURE__ */ l(function() {
    return qe.stringify;
  }, "get") });
  Ie(B(), b);
});

export {
  we as a
};
